/*
Copyright © 2020-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/

package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------
	// admin command
	adminCommand      = "admin"
	adminCmdShortDesc = "Commands group for the redpesk factory administration"

	// init subcommand
	adminInitCmd          = "init"
	adminInitCmdShortDesc = "Check that the user has administrator privileges and save it in configuration file"
	adminInitCmdAnsLine0  = "-- Check and initialize admin rights --"
	adminInitCmdAnsLine1  = "Result:\t%s"
	// -------------

	// import-project subcommand
	importPrjCmd          = "import-project"
	importPrjCmdShortDesc = "Import a project, existing in Koji, in the backend"
	importPrjCmdLongDesc  = `Import a project, existing in Koji, in the backend.
rp-cli request the backend to retrieve from Koji (through Kofishop) all the information about the project and the applications it contains. All of those are then saved in backend database.`
	importPrjCmdAnsLine0_0 = "-- Project import requested by user --"
	importPrjCmdAnsLine0_1 = "Requesting the import of \"%s\" on the factory...\t"
	importPrjCmdAnsLine0_2 = "Waiting for the import of \"%s\" to complete...\t"
	importPrjCmdAnsLine1_0 = "-- Refresh of an imported project requested by user --"
	importPrjCmdAnsLine1_1 = "Requesting the refresh of \"%s\" on the factory...\t"
	importPrjCmdAnsLine1_2 = "Waiting for the refresh of \"%s\" to complete...\t"

	importPrjCmdIDFlag      = "id"
	importPrjCmdIDFlagAlias = "i"
	importPrjCmdIDFlagUsage = "[Mandatory] ID of the project to import or to refresh (if the project exists already)"

	importPrjCmdVersionFlag      = "version"
	importPrjCmdVersionFlagAlias = "v"
	importPrjCmdVersionFlagUsage = "[Optional] Version of the project to set in database"

	importPrjCmdSubVersionFlag      = "sub-version"
	importPrjCmdSubVersionFlagUsage = "[Optional] SubVersion of the project to set in database"

	importPrjCmdRefreshFlag      = "refresh"
	importPrjCmdRefreshFlagAlias = "r"
	importPrjCmdRefreshFlagUsage = "Request the backend to refresh an already imported project"

	importPrjCmdTagFlag      = "tag"
	importPrjCmdTagFlagAlias = "t"
	importPrjCmdTagFlagUsage = "Koji tag name to import"

	importPrjCmdDescFlag      = "description"
	importPrjCmdDescFlagAlias = "d"
	importPrjCmdDescFlagUsage = "[Optional] Description of the imported distro to create"

	// -------------

	// import-image subcommand
	importImgCmd          = "import-image"
	importImgCmdShortDesc = "Import an image object in the backend"
	importImgCmdLongDesc  = `Import an image object in the backend.
The image imported is completely described by the user through the values given to the different flags.`
	importImgCmdAnsLine0 = "-- Image import requested by user --"
	importImgCmdAnsLine1 = "Requesting the import of \"%s\" on the factory...\t"

	imagesCmdDistroVersionFlag      = "version"
	imagesCmdDistroVersionFlagAlias = "v"
	imagesCmdDistroVersionFlagUsage = "[Optional] Image version (default: distribution version)"

	imagesCmdDlURLFlag      = "download-url"
	imagesCmdDlURLFlagAlias = "u"
	imagesCmdDlURLFlagUsage = "[Optional] URL where the image can be downloaded"

	// -------------

	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Error messages -----------------------------------------------
	// --------------------------------------------------------------
	userIsNotAdminMsg = "you are not administrator of the \"%s\" factory, no \"admin\" initialization possible"
	emptyPrjNameMsg   = "the project name is empty, please give a valid name"
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Warning messages ---------------------------------------------
	// --------------------------------------------------------------
	adminCheckProblem = "A problem appeared while checking if the user is admin on any factory"
	// --------------------------------------------------------------
)
