/*
Copyright © 2020-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/
package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------
	// boards command
	boardsCommand      = "boards"
	boardsCmdShortDesc = "Boards commands group"

	boardsListCmd          = "list"
	boardsListCmdShortDesc = "List the supported boards in Redpesk infrastructure"
	boardsListCmdLongDesc  = "List the supported boards for deployments in Redpesk infrastructure"
	boardsListAnsHeader    = "ID\t Name\t Category\t Model\t Arch.\t Status"
	boardsListAnsLine0     = "ID:\t"
	boardsListAnsLine1     = "Name:\t"
	boardsListAnsLine2     = "Creation time:\t"
	boardsListAnsLine3     = "Update time:\t"
	boardsListAnsLine4     = "Creator:\t"
	boardsListAnsLine5     = "Category:\t"
	boardsListAnsLine6     = "Model:\t"
	boardsListAnsLine7     = "IP:\t"
	boardsListAnsLine8     = "Status:\t"
	boardsListAnsLine9     = "Architecture:\t"
	boardsListAnsLine10    = "Distribution:\t"

	boardDisplayListLineNb = 11

	boardsGetCmd           = "get <board-ID>"
	boardsGetCmdShortUsage = "Get the properties of a board"
	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Error messages -----------------------------------------------
	// --------------------------------------------------------------
	boardIdentifierNotFound = "no board has been found with the identifier \"%s\""
	// --------------------------------------------------------------
	// --------------------------------------------------------------
)
