/*
Copyright © 2020-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/

package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------

	// completion command
	compCommand           = "completion [bash|zsh|fish|powershell]"
	compCommandShortUsage = "Generate completion script"
	compCommandLongUsage  = `To load completions:

Bash:

$ source <(rp-cli completion bash)

# To load completions for each session, execute once:
Linux:
	$ rp-cli completion bash > /etc/bash_completion.d/rp-cli
MacOS:
	$ rp-cli completion bash > /usr/local/etc/bash_completion.d/rp-cli

Zsh:

# If shell completion is not already enabled in your environment you will need
# to enable it.  You can execute the following once:

$ echo "autoload -U compinit; compinit" >> ~/.zshrc

# To load completions for each session, execute once:
$ rp-cli completion zsh > "${fpath[1]}/_rp-cli"

# You will need to start a new shell for this setup to take effect.

Fish:

$ rp-cli completion fish | source

# To load completions for each session, execute once:
$ rp-cli completion fish > ~/.config/fish/completions/rp-cli.fish
`
)
