/*
Copyright © 2021-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/
package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------
	// deployments command
	deploymentsCommand      = "deployments"
	deploymentsCmdShortDesc = "Deployments commands group"

	// deployments list sub-command
	deploymentsListCmd          = "list"
	deploymentsListCmdShortDesc = "List the deployments performed in the redpesk factory"
	deploymentsListCmdLongDesc  = `List the deployments performed in the redpesk factory.
The user can specify one released project to get only the deployment linked to this one.`
	deploymentsListAnsHeader         = "ID\t Project\t Status\t Start_time\t Name"
	deploymentsListAnsLine0          = "ID:\t"
	deploymentsListAnsLine1          = "Name:\t"
	deploymentsListAnsLine2          = "Creation time:\t"
	deploymentsListAnsLine3          = "Update time:\t"
	deploymentsListAnsLine4          = "Status:\t"
	deploymentsListAnsLine5          = "Start time:\t"
	deploymentsListAnsLine6          = "End time:\t"
	deploymentsListAnsLine7          = "Creator:\t"
	deploymentsListAnsLine8          = "Deployed project:\t"
	deploymentsListAnsBoardStatusTag = "[Boards status]"
	deploymentsListAnsAppsRelTag     = "[Released apps]"
	deploymentsListAnsLine9          = "Package name:\t"
	deploymentsListAnsLine10         = "Branch:\t"
	deploymentsListAnsLine11         = "SHA Gitpkg:\t"
	deploymentsListAnsLine12         = "Build ID:\t"

	deploymentDisplayVerboseLightLineNb = 9

	deploymentsCmdPrjFlag      = "released-project"
	deploymentsCmdPrjFlagAlias = "p"
	deploymentsCmdPrjFlagUsage = "[Optional] Allow to get the list of deployments uniquely for this released project"

	// deployments get sub-command
	deploymentsGetCmd           = "get <deployment-UUID>"
	deploymentsGetCmdShortUsage = "Get the properties of a deployment"
	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Error messages -----------------------------------------------
	// --------------------------------------------------------------
	deploymentIdentifierNotUUID  = "the ID given in the command line is not an UUID: \"%s\", for deployment only UUID are supported"
	deploymentIdentifierNotFound = "no deployment has been found with the identifier \"%s\""
	// --------------------------------------------------------------
	// --------------------------------------------------------------
)
