/*
Copyright © 2024 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
# Commercial License Usage

Licensees holding valid commercial IoT.bzh licenses may use this file in
accordance with the commercial license agreement provided with the
Software or, alternatively, in accordance with the terms contained in
a written agreement between you and The IoT.bzh Company. For licensing terms
and conditions see https://www.iot.bzh/terms-conditions. For further
information use the contact form at https://www.iot.bzh/contact.

# GNU General Public License Usage

Alternatively, this file may be used under the terms of the GNU General
Public license version 3. This license is as published by the Free Software
Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
of this file. Please review the following information to ensure the GNU
General Public License requirements will be met
https://www.gnu.org/licenses/gpl-3.0.html.

$RP_END_LICENSE$
*/
package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------
	distCmd          = "distributions"
	distCmdAlias     = "distros"
	distCmdShortDesc = "Distributions commands group"

	// List subcommand
	distListCmd          = "list"
	distListCmdAlias     = "ls"
	distListCmdShortDesc = "List the available distributions on redpesk factory"
	distListAnsHeader    = "ID\t Slug\t Version\t Architectures\t RPMs_number"
	distListAnsLine1     = "ID:\t"
	distListAnsLine2     = "Slug:\t"
	distListAnsLine3     = "Name:\t"
	distListAnsLine4     = "Version:\t"
	distListAnsLine5     = "SubVersion:\t"
	distListAnsLine6     = "Description:\t"
	distListAnsLine7     = "Architectures:\t"
	distListAnsLine8     = "RPMs_number:\t"

	distDisplayVerboseLineNb = 7

	// Get subcommand
	distGetCmd          = "get <distro-ID>"
	distGetCmdShortDesc = "Get the properties of a distribution"

	// Packages subcommand
	distPkgsCmd          = "packages <distro-ID>"
	distPkgsCmdAlias     = "pkgs"
	distPkgsCmdShortDesc = "List the packages contained in a distribution"

	distArchFlag      = "architecture"
	distArchFlagAlias = "a"
	distArchFlagUsage = "[Mandatory] Packages architecture wanted"

	distNameFlag      = "name"
	distNameFlagAlias = "n"
	distNameFlagUsage = "[Optional] Filter the packages with the given name"

	distWordFlag      = "word"
	distWordFlagAlias = "w"
	distWordFlagUsage = "[Optional] Select only the packages with name matching 'name' flag as whole word"

	distPkgsAnsHeader = "Name\t Version\t Release\t NVRA"
	distPkgsAnsLine1  = "Name:\t"
	distPkgsAnsLine2  = "Version:\t"
	distPkgsAnsLine3  = "Release:\t"
	distPkgsAnsLine4  = "NVRA:\t"

	distPkgsDisplayVerboseLineNb = 4

	// Add subcommand
	distAddCmd          = "add <distro-ID>"
	distAddCmdAlias     = "import"
	distAddCmdShortDesc = "Add/Import a distribution, existing in Koji, in the factory"
	distAddCmdLongDesc  = `Add/Import a distribution, existing in Koji, in the factory.
rp-cli request the backend to retrieve from Koji (through Kofishop) all the information about the distribution and the applications it contains. All of those are then saved in backend database.`

	distAddCmdAnsLine0 = "-- Distribution import requested by user --"
	distAddCmdAnsLine1 = "Requesting the import of \"%s\" on the factory...\t"
	distAddCmdAnsLine2 = "Waiting for the import of \"%s\" to complete...\t"

	distAddCmdTagFlag      = "tag"
	distAddCmdTagFlagAlias = "t"
	distAddCmdTagFlagUsage = "Koji tag name to import"

	distAddCmdVersionFlag      = "version"
	distAddCmdVersionFlagAlias = "v"
	distAddCmdVersionFlagUsage = "[Optional] Version of the distribution to set in database"

	distSubVersionFlag      = "sub-version"
	distSubVersionFlagUsage = "[Optional] SubVersion of the distribution to set in database"

	distDescriptionFlag      = "description"
	distDescriptionFlagAlias = "d"
	distDescriptionFlagUsage = "[Optional] Description of the imported distribution to create"

	// Update subcommand
	distUpdateCmd          = "update <distro-ID>"
	distUpdateCmdShortDesc = "Update a distribution in the factory"
	distUpdateCmdLongDesc  = `Update a distribution in the factory.
rp-cli request the factory to update information about the distribution specified. If '--refresh' is used, the packages list is updated.`

	distUpdateCmdAnsLine0 = "-- Distribution update requested by user --"
	distUpdateCmdAnsLine1 = "Refresh packages list of \"%s\" in the factory...\t"

	distUpdateCmdRefreshFlag      = "refresh"
	distUpdateCmdRefreshFlagAlias = "r"
	distUpdateCmdRefreshFlagUsage = "Request the factory to refresh the packages list for an already imported distribution"
)
