/*
Copyright © 2020-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/

package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------
	// misc command
	miscCommand      = "misc"
	miscCmdShortDesc = "Miscellaneous commands group"

	miscStatusCmd          = "status"
	miscStatusCmdAlias     = "sts"
	miscStatusCmdShortDesc = "Get the Redpesk infrastructure configuration status"
	miscStatusAnsLine0     = "Redpesk Server:"
	miscStatusAnsLine0_1   = "       Alias:\t"
	miscStatusAnsLine1     = "       ID:\t"
	miscStatusAnsLine2     = "       URL:\t"
	miscStatusAnsLine3     = "       Connection retry:\t"

	miscVersionCmd          = "version"
	miscVersionCmdAlias     = "v"
	miscVersionCmdShortDesc = "Get the Redpesk back-end's version"
	miscVersionAnsLine0     = "Redpesk Server:"
	miscVersionAnsLine1     = "       ID:\t"
	miscVersionAnsLine2     = "       Version:\t"
	miscVersionAnsLine3     = "       API Version:\t"

	miscArchCmd          = "arch"
	miscArchCmdShortDesc = "List the supported architectures for Redpesk"
	miscArchCmdLongDesc  = "List the supported architectures for Redpesk (x86_64, aarch64, etc.)"
	miscArchAnsLine0     = "Redpesk available architectures:"

	mainVerboseFlag        = "verbose"
	mainVerboseFlagAlias   = "v"
	mainVerboseFlagDefault = false
	mainVerboseFlagUsage   = "[Optional] Display verbose output"

	miscConfigCmd          = "configuration"
	miscConfigCmdAlias     = "config"
	miscConfigCmdShortDesc = "Display rp-cli's current configuration parameters"
	miscConfigNoFileMsg    = "[No config file found]"
	mainNotSetMsg          = "[Not set]"
	miscConfigNoConnectMsg = "[None]"
	miscConfigAliasDisplay = "Alias:\t%s\nServer URL:\t%s\nAccess token:\t%s\nIsAdmin:\t%s\n\n"
	miscConfigAnsLine0     = "Configuration file content:"
	miscConfigAnsLine1     = "Environment variables:"
	miscConfigAnsLine2     = "Available redpesk's backend connections:"
	miscConfigAnsLine3     = "Current local builder connection:"
	miscConfigAnsLine4     = "Current redpesk's backend connection:"

	miscConfigGetCmd           = "get <config-param>"
	miscConfigGetCmdShortUsage = "Get the value of a persistent parameter, in the configuration file"
	miscConfigGetCmdLongUsage  = "Get the value of the persistent parameter, named <config-param>, in the configuration file"

	miscConfigSetCmd           = "set <config-param>"
	miscConfigSetCmdShortUsage = "Set the value of a persistent parameter, in the configuration file"
	miscConfigSetCmdLongUsage  = "Set the value of the persistent parameter, named <config-param>, in the configuration file"

	miscConfigSetValueFlag      = "value"
	miscConfigSetValueFlagUsage = "[Mandatory] New value for the given persistent parameter"

	miscCmdTreeCmd          = "cmd-tree"
	miscCmdTreeCmdShortDesc = "Display the full list of commands and sub-command available for rp-cli (usefull for doc.)"

	miscCmdSearchCmd          = "cmd-search [<searched-pattern>]"
	miscCmdSearchCmdShortDesc = "Allows to run a research on the available commands of 'rp-cli'"
	miscCmdSearchCmdLongDesc  = `Allows to run a research on the available commands of 'rp-cli'.
By default, the pattern is searched with a "Contains()" function in the command name, its short description and its long description.
If the flag '--regexp' is specified, the pattern is used as a regexp.
If no pattern is specified, the command display every full command with its corresponding short description.`

	miscCmdSearchRegexpFlag      = "regexp"
	miscCmdSearchRegexpFlagAlias = "r"
	miscCmdSearchRegexpFlagUsage = "[Optional] If set, the searched pattern is considered as a regular expression"
	// -------------
	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Error messages -----------------------------------------------
	// --------------------------------------------------------------
	pbWhileReadCfgFileMsg       = "A problem occurred while reading the configuration file: "
	distIdentifierNotFound      = "No distribution has been found with the identifier \"%s\""
	flagIDNotSetMsg             = "no parameter's name argument in the command line"
	flagIDRequiredMsg           = "a parameter's name is required for the wanted operation, please provide one"
	paramNotExistMsg            = "the given flag's name does not exist in rp-cli, please provide an existing one"
	configFileNotExistingMsg    = "the configuration file does not exist, please run 'rp-cli onboard' before running any other command"
	noNewValueForFlagMsg        = "the value to set is empty, please provide one with the '--value' flag"
	serviceStructCastImpossible = "the following service structure cannot be casted to 'map[string]interface{}': %v"
	paramStructCastImpossible   = "the following parameter service structure cannot be casted to 'map[string]interface{}': %v"
	keyNotExistInMap            = "the key \"%s\" does not exist in the following map: %v"
	// --------------------------------------------------------------
	// --------------------------------------------------------------
)
