# Installation

The `rp-cli` binary is available as rpm or debian package on the redpesk "sdk" repository. Therefore it can be easily installed using our installation script.
Nevertheless you need to be using a supported Linux distribution. In general, the latest version of Ubuntu, OpenSUSE, and Fedora works. Following is a specific list of supported distributions:

* [Ubuntu](https://wiki.ubuntu.com/Releases) 22.04, 24.04
* [OpenSUSE](https://en.opensuse.org/openSUSE:Roadmap) 15.5, 15.6
* [Fedora](https://docs.fedoraproject.org/en-US/releases/) 39, 40

It is recommended to use the latest distribution version as we make sure that everything works well for them.

## Full sdk environment installation

The following command line installs the full redpesk sdk environment including `redpesk-cli` and all the packages necessary to build a redpesk microservice binding natively.

```bash
# Retrieve the setup script and execute it
wget -O - https://raw.githubusercontent.com/redpesk-devtools/redpesk-sdk-tools/master/install-redpesk-sdk.sh | bash
```

## Install native SDK packages only

To install only packages necessary to build a redpesk microservice binding natively :

```bash
# Retrieve the setup script and execute it
wget -O - https://raw.githubusercontent.com/redpesk-devtools/redpesk-sdk-tools/master/install-redpesk-sdk.sh | bash -s -- --sdk
```

## Install redpesk-cli only

If you only need to install the redpesk command line (`redpesk-cli`) without all the development packages, run the following command.

```bash
# Retrieve the setup script and execute it
wget -O - https://raw.githubusercontent.com/redpesk-devtools/redpesk-sdk-tools/master/install-redpesk-sdk.sh | bash -s -- --rp-cli
```
