# Multiple factories

One `rp-cli` binary can handle an infinite number of redpesk factories. The only limitation is that it communicates to only one factory at once.
So, the user has to switch between two factories manually.

The sub-command `connections` has been developed in order to manage efficiently it.

```bash
$ rp-cli connections -h
Connections commands group

Usage:
  rp-cli connections [command]

Available Commands:
  add         Define a new connection
  current     Display the current connection used by rp-cli
  delete      Delete one connection from the factory connections list
  get         Get the properties of a connection from its alias
  list        List the available connections to different redpesk factories
  update      Update an existing connection
  use         Change the redpesk factory connection currently used by rp-cli

Flags:
  -h, --help   help for connections

Global Flags:
  -C, --config string        Config file containing the user options (default are $HOME/.redpesk/rp-cli/rp-cli-config.json or /etc/redpesk/rp-cli/rp-cli-config.json)
      --logfilename string   Filename where logs will be redirected (default "stderr")
  -L, --loglevel string      Logging level (supported levels: panic, fatal, error, warn, info, debug) (default "warn")
      --noerror              When set, rp-cli always exit with the '0' status even if an error happened, this can be useful in scripts
      --nonblocking          When set, rp-cli never waits for events on the websocket (builds, tests, etc.)
      --rawoutput            When set, rp-cli output only machine readable text (json) that corresponds to the Redpesk backend answers
      --serveralias string   Alias for the connection parameters to use to connect on the Redpesk server (default "default")
  -T, --timestamp            Prefix output with timestamp [NOT IMPLEMENTED YET]

Use "rp-cli connections [command] --help" for more information about a command.
```

Using that the following command change the connected factory to the one named 'factory-community'.

```bash
$ rp-cli connections use factory-community
```

## Adding a new factory

It is possible to add new factory connections easily with `rp-cli connections add`.

```bash
$ rp-cli connections add -h
Define a new connection in the list of Redpesk factories available. If the alias already exists, the connection is overwritten

Usage:
  rp-cli connections add <connection-alias> [flags]

Flags:
  -h, --help                      help for add
  -l, --localbuilder-url string   [Optional] Custom localbuilder URL for this connection (if not set default is used)
  -p, --pkgsdir string            [Optional] Custom "gitpkgs/" directory used with localbuilder (if not set default is used)
  -s, --sourcesdir string         [Optional] Custom "gitsources/" directory used with localbuilder (if not set default is used)
  -t, --token string              [Mandatory] Access token identifying rp-cli on the Redpesk factory to add
  -u, --url string                [Mandatory] URL of the Redpesk factory to add

Global Flags:
  -C, --config string        Config file containing the user options (default are $HOME/.redpesk/rp-cli/rp-cli-config.json or /etc/redpesk/rp-cli/rp-cli-config.json)
      --logfilename string   Filename where logs will be redirected (default "stderr")
  -L, --loglevel string      Logging level (supported levels: panic, fatal, error, warn, info, debug) (default "warn")
      --noerror              When set, rp-cli always exit with the '0' status even if an error happened, this can be useful in scripts
      --nonblocking          When set, rp-cli never waits for events on the websocket (builds, tests, etc.)
      --rawoutput            When set, rp-cli output only machine readable text (json) that corresponds to the Redpesk backend answers
      --serveralias string   Alias for the connection parameters to use to connect on the Redpesk server (default "default")
  -T, --timestamp            Prefix output with timestamp [NOT IMPLEMENTED YET]
```
