# Local-builder interaction

## Iotpkg wrapping

`iotpkg` is a powerful tool running inside the local builder. `rp-cli` allows to use it outside the container.
In order to do that, be sure to have the `pkgsdir` value set inside the configuration file.

Then, go inside the "gitpkgs/" directory (or a subdirectory of it) on your host and run your `iotpkg` command (prefixed by `rp-cli`).

For example, if the `rp-cli` configuration file looks like that:

```json
{
  "serveralias": "default",
  "pkgsdir": "~/gitpkgs",
  "sourcesdir": "~/gitsources"
}
```

Command example that you can run: `rp-cli iotpkg archive` 

```bash
$ cd ~/gitpkgs/helloworld-binding/
$ rp-cli iotpkg archive --path-source https://github.com/redpesk-samples/helloworld-binding.git
Will try to checkout to 229112d (commit_checkout)
Commit checkout 229112d is set as a RefType.SHA ref
Trying shallow clone source from https://github.com/redpesk-samples/helloworld-binding.git:master into /home/devel/gitpkgs/helloworld-binding/gitsource
Successfull shallow cloned.
Fetching with depth 11
Successful checkout to 229112d
Set version tag to 0.7.0+20210326+4+g229112d
Making archive ...
helloworld-binding-0.7.0+20210326+4+g229112d.tar.gz
```

## Executing command in the local-builder

The execution of commands inside the local-builder, from outside, is possible with `rp-cli local exec -- your_command`

Example:

```bash
$ rp-cli local exec -- cat /etc/os-release
NAME="AlmaLinux"
VERSION="8.7 (Stone Smilodon)"
ID="almalinux"
ID_LIKE="rhel centos fedora"
VERSION_ID="8.7"
PLATFORM_ID="platform:el8"
PRETTY_NAME="AlmaLinux 8.7 (Stone Smilodon)"
ANSI_COLOR="0;34"
LOGO="fedora-logo-icon"
CPE_NAME="cpe:/o:almalinux:almalinux:8::baseos"
HOME_URL="https://almalinux.org/"
DOCUMENTATION_URL="https://wiki.almalinux.org/"
BUG_REPORT_URL="https://bugs.almalinux.org/"
ALMALINUX_MANTISBT_PROJECT="AlmaLinux-8"
ALMALINUX_MANTISBT_PROJECT_VERSION="8.7"
REDHAT_SUPPORT_PRODUCT="AlmaLinux"
REDHAT_SUPPORT_PRODUCT_VERSION="8.7"
BUILD_DATE="2023-04-08 06:25:11"
```

From that, you can easily get a bash instance by running:

```bash
$ rp-cli local exec -- bash
[devel@my-local-builder /]$ 
[devel@my-local-builder /]$ cat /etc/os-release 
NAME="AlmaLinux"
VERSION="8.7 (Stone Smilodon)"
ID="almalinux"
ID_LIKE="rhel centos fedora"
VERSION_ID="8.7"
PLATFORM_ID="platform:el8"
PRETTY_NAME="AlmaLinux 8.7 (Stone Smilodon)"
ANSI_COLOR="0;34"
LOGO="fedora-logo-icon"
CPE_NAME="cpe:/o:almalinux:almalinux:8::baseos"
HOME_URL="https://almalinux.org/"
DOCUMENTATION_URL="https://wiki.almalinux.org/"
BUG_REPORT_URL="https://bugs.almalinux.org/"
ALMALINUX_MANTISBT_PROJECT="AlmaLinux-8"
ALMALINUX_MANTISBT_PROJECT_VERSION="8.7"
REDHAT_SUPPORT_PRODUCT="AlmaLinux"
REDHAT_SUPPORT_PRODUCT_VERSION="8.7"
BUILD_DATE="2023-04-08 06:25:11"
[devel@my-local-builder /]$
```
