# Application services

In the redpesk factory, several "services" are linked to every application. These services allow to run tasks before or at build time.

In the webUI, the service parameter values can be edited in the app "Settings" tab, under the "Advanced Settings" section.
In `rp-cli`, the services of an application are displayed when the user run the `get` command on one app. For example:

```bash
$ rp-cli applications get helloworld-binding -v
ID:                      efca0ad1-022e-41e1-b15d-4db1b1ba68ed
Name:                    Helloworld binding
Package Name:            helloworld-binding
Slug:                    helloworld-binding
Type:                    standard
Parent project:          test-project
Description:             [Not set]
Source URL:              http://git.ovh.iot/redpesk/redpesk-samples/helloworld-binding.git
Source Revision:         master
External Specfile:       [Not set]
Distributions:           redpesk-lts-{{ site.redpesk-os.latest }} [Mand]
Autotests:               OFF
Creation time:           2022-01-28 10:14:21.777533 +0000 UTC
Update time:             2022-01-28 10:14:51.658836 +0000 UTC
Bookmarked:              false
Build type:              standard_build_cross
Services:

 - Name: download_sources
 - Parameters:
    download:    false
    force:       false

 - Name: excludearch
 - Parameters:
    arches:      []

 - Name: import_gitpkg
 - Parameters:
    ref: ""
    url: ""

 - Name: setverrel
 - Parameters:
    release:     true
    version:     true
```

The values of the different service parameters can be set at creation time in the `applications add` command or can be updated later with the `applications update` command.
For the `add` command, if the name of an available service is not specified, the default value is used.
For the `update` command, if the name of an available service is not specified, the previous value is kept.

The flag allowing to add/update services is `--service`. It is a "string array" flag, that means you can use it several times in the same command line. `rp-cli` will get a string array containing all values you have passed to this flag.

So, in order to set/change the value of one or several services, just pass the name of the service(s) to `rp-cli` respecting the following structure:

```bash
$ rp-cli applications {add|update} [..] --service "service_name0={'param1':'value1'}" --service "service_name1={'param2':'value2',..,'paramx':'valuex'}"
```

For example:

```bash
$ rp-cli applications add -n acl --pkg-name acl --project baseos --service import_gitpkg={'ref':'','url':'http://iotbzh-git-dev01.lorient.iot/iotbzh-runtime-dev01.lorient.iot/centos/acl'}

# OR

$ rp-cli applications update -p apps corosync --service "download_sources={'download':true}"
```
