# Installation

The `rp-cli` binary is available as rpm or debian package on the redpesk "sdk" repository. Therefore it can be easily installed using our installation script.
Nevertheless you need to be using a supported Linux distribution. In general, the latest version of Ubuntu, OpenSUSE, and Fedora works. Following is a specific list of supported distributions:

* [Ubuntu](https://wiki.ubuntu.com/Releases) 22.04, 24.04
* [OpenSUSE](https://en.opensuse.org/openSUSE:Roadmap) 15.5, 15.6
* [Fedora](https://docs.fedoraproject.org/en-US/releases/) 39, 40

It is recommended to use the latest distribution version as we make sure that everything works well for them.

## Full sdk environment installation

The following command line installs the full redpesk sdk environment i.e. `redpesk-cli` and all the packages necessary to build a Microservice binding natively.

```bash
# Retrieve the setup script and execute it
wget -O - https://raw.githubusercontent.com/redpesk-devtools/redpesk-sdk-tools/master/install-redpesk-sdk.sh | bash
```

## Install redpesk-cli only

If you only need to install the redpesk command line (`redpesk-cli`) without all the development packages, run the following command.

```bash
# Retrieve the setup script and execute it
wget -O - https://raw.githubusercontent.com/redpesk-devtools/redpesk-sdk-tools/master/install-redpesk-sdk.sh | bash -s -- --rp-cli
```

## Configuration

Once rp-cli has been installed, some manipulations are requisite to configure this tool.
The configuration needed to get started is explained in [redpesk infrastructure access]({% chapter_link rp-cli-doc.configuration %}), you will have a command to execute and some questions to answer as detailed.

```bash
$ rp-cli onboard
```

To finish, you will have to retrieve a token in the redpesk UI, just follow the steps with screenshots and you will be ready to use rp-cli for the following [basic example]({% chapter_link rp-cli-quickstart-doc.basic-usage %}).
