/*
Copyright © 2020-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/

package rpconnect

const (

	// Constants used in connection or HTTP requests
	cookieFileName         = "cookie_file.gb"
	cookiesDirRelativePath = "cookies/"

	// Errors messages
	connectPbError           = "Cannot connect to "
	rpVersionError           = "[RedPesk version] %v"
	rpConfigError            = "[Redpesk config] %v"
	wsEvtRegisterFailedError = "Event registration failed (%v)"

	// Info messages
	sIDMsg       = "HTTP session ID : "
	rpVersionMsg = "RP Server version: %v"

	// Debug messages
	httpClientConnectDebugMsg = "Connect HTTP client on "
	wsConnectMsg              = "Connecting IO.socket client on "
	httpClientDisconnectMsg   = "Closing HTTP client session..."
	wsClientDisconnectMsg     = "Closing WebSocket connection..."
	wsOnDisconnectEventMsg    = "WS disconnection event"
	wsOnConnectEventMsg       = "WS Connection event"
	wsOnErrorEventMsg         = "WS Error event: %+v"
	wsOnReconnectEventMsg     = "WS Reconnection event"
	wsEvtAdded                = "Register event added = "
)
