#!/bin/bash
###########################################################################
# Copyright (C) 2020-2023 IoT.bzh Company
# Contact: https://www.iot.bzh/licensing
#
# This file is part of the redpesk-cli project, the redpesk command line tool.
#
# $RP_BEGIN_LICENSE$
# Commercial License Usage
#  Licensees holding valid commercial IoT.bzh licenses may use this file in
#  accordance with the commercial license agreement provided with the
#  Software or, alternatively, in accordance with the terms contained in
#  a written agreement between you and The IoT.bzh Company. For licensing terms
#  and conditions see https://www.iot.bzh/terms-conditions. For further
#  information use the contact form at https://www.iot.bzh/contact.
#
# GNU General Public License Usage
#  Alternatively, this file may be used under the terms of the GNU General
#  Public license version 3. This license is as published by the Free Software
#  Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
#  of this file. Please review the following information to ensure the GNU
#  General Public License requirements will be met
#  https://www.gnu.org/licenses/gpl-3.0.html.
# $RP_END_LICENSE$
#
# Script used to install Redpesk cli tool.
#
###########################################################################


DESTDIR=${DESTDIR:-/opt/redpesk/cli}

ROOT_SRCDIR=$(cd $(dirname "$0")/.. && pwd)

install() {
    mkdir -p "${DESTDIR}" && cp "${ROOT_SRCDIR}/bin/"* "${DESTDIR}" || exit 1

    FILE=/etc/profile.d/rp-cli.sh
    sed -e "s;%%RP_INSTALL_BIN_DIR%%;${DESTDIR};g" "${ROOT_SRCDIR}/conf.d/${FILE}" > ${FILE} || exit 1
}

uninstall() {
    rm -rf "${DESTDIR}"
    rm -f /etc/profile.d/rp-cli.sh
}

if [ "$1" == "uninstall" ]; then
    echo -n "Are-you sure you want to remove ${DESTDIR} [y/n]? "
    read answer
    if [ "${answer}" = "y" ]; then
        uninstall
        echo "rp-cli sucessfully uninstalled."
    else
        echo "Uninstall canceled."
    fi
else
    install
fi
